Subject: Re: [PATCH] git-svn: Initialize SVN::Client with svn config instead of, auth for "git svn branch".

From: Monard Vong <[email-masked]>
Date: Fri, 25 Jul 2014 11:49:45 +0200

Thanks for your reply, I updated commit message and subject, hoping it 
would be clearer.
However I messed up "message-id" so it appear as a new message and not 
in the current thread.
Sorry, still learning.

Le 24/07/2014 00:33, Eric Wong a écrit :
> Monard Vong <[email-masked]> wrote:
>> If a client certificate is required to connect to svn, "git svn branch"
>> always prompt the user for the certificate location and password,
>> even though those parameters are stored in svn file "server"
>> located in svn config dir (generally ~/.subversion).
>> On the opposite, "git svn info/init/dcommit" read the config dir
>> and do not prompt if the parameters are set.
>>
>> This commit initializes for "git svn branch", the SVN::Client with
>> the 'config'
>> option instead of 'auth'. As decribed in the SVN documentation,
>> http://search.cpan.org/~mschwern/Alien-SVN-v1.7.17.1/src/subversion/subversion/bindings/swig/perl/native/Client.pm#METHODS
>> the SVN::Client will then read cached authentication options.
>>
>> Signed-off-by: Monard Vong <[email-masked]>
> Thanks, I do not have a good way to test this, but the idea seems
> correct.
>
> Your patch is whitespace mangled, and the commit message and subject
> needs to be improved (see Documentation/SubmittingPatches on how to
> describe your changes and how to send them without whitespace mangling.)
>
> Thanks again.